package com.mcwl.web.controller.resource;

import cn.hutool.core.bean.BeanUtil;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.common.utils.oss.OssUtil;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.ModelImageCommentLike;
import com.mcwl.resource.domain.ModelImageLike;
import com.mcwl.resource.domain.dto.ModelImageCommentRes;
import com.mcwl.resource.domain.dto.ModelImageRes;
import com.mcwl.resource.service.ModelImageCommentLikeService;
import com.mcwl.resource.service.ModelImageLikeService;
import com.mcwl.resource.service.ModelImageService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.util.Objects;

@RestController
@RequestMapping("/modelImage")
@RequiredArgsConstructor
public class ModelImageController {

    private final ModelImageService modelImageService;

    private final ModelImageLikeService modelImageLikeService;

    private final ModelImageCommentLikeService modelImageCommentLikeService;


    /**
     * 图片上传
     */
    @GetMapping("/upload")
    public AjaxResult upload(MultipartFile file) {

        return AjaxResult.success("上传成功", OssUtil.uploadMultipartFile(file));

    }


    /**
     * 图片发布
     */
    @PostMapping("/publish")
    public AjaxResult publish(@RequestBody ModelImageRes modelImageRes) {
        modelImageService.publish(modelImageRes);
        return AjaxResult.success();
    }

    /**
     * 图片点赞/取消
     */
    @GetMapping("/imageLike/{imageId}")
    public AjaxResult like(@PathVariable Long imageId) {
        modelImageLikeService.like(imageId);
        return AjaxResult.success();
    }


    /**
     * 图片评论发布
     */
    @PostMapping("/comment")
    public AjaxResult comment(@RequestBody ModelImageCommentRes modelImageCommentRes) {
        modelImageService.comment(modelImageCommentRes);
        return AjaxResult.success();
    }

    /**
     * 图片评论点赞/取消
     */
    @GetMapping("/commentLike/{commentId}")
    public AjaxResult commentLike(@PathVariable Long commentId) {
        modelImageCommentLikeService.like(commentId);
        return AjaxResult.error();
    }




}
