package com.mcwl.web.controller.resource;

import com.mcwl.common.core.controller.BaseController;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.ModelVersion;
import com.mcwl.resource.service.ModelVersionService;
import com.mcwl.web.controller.common.OssUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/** 模型版本
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.web.controller.resource
 * @Filename：ModelVersionController
 * @Description TODO
 * @Date：2025/1/9 16:47
 */
@RestController
@RequestMapping("ModelVersion")
public class ModelVersionController  extends BaseController {

    @Autowired
    private ModelVersionService modelVersionService;



    /***
     *
     * 图片
     * @param file
     * @return
     */
    @PostMapping("/file")
    public AjaxResult Malifile(@RequestParam MultipartFile file){

        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }




    /***
     *
     * zip
     * @param file
     * @return
     */
    @PostMapping("/zipUrlFile")
    public AjaxResult zipUrlFile(@RequestParam MultipartFile file){
        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }




    /***
     *
     * 下载zip
     * @param file
     * @return
     */
    @PostMapping("/zipUrl")
    public AjaxResult zipUrl(@RequestParam MultipartFile file){
        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }




    @PostMapping("list")
    public TableDataInfo list(@RequestBody ModelVersion modelVersion)
    {
        startPage();
        List<ModelVersion> list = modelVersionService.selectLogininforList(modelVersion);
        return getDataTable(list);
    }


    @PostMapping("finbyid")
    public AjaxResult finbyid(@RequestBody ModelVersion modelVersion)
    {
        ModelVersion modelVersion1 = modelVersionService.getById(modelVersion.getId());
        return AjaxResult.success(modelVersion1);
    }


    @PostMapping("insert")
    public AjaxResult insert(@RequestBody ModelVersion modelVersion)
    {

        modelVersionService.save(modelVersion);
        return AjaxResult.success();
    }

    @PostMapping("update")
    public AjaxResult update(@RequestBody ModelVersion modelVersion)
    {
        modelVersionService.updateById(modelVersion);
        return AjaxResult.success();
    }

    @PostMapping("delete")
    public AjaxResult delete(@RequestBody ModelVersion modelVersion)
    {
        modelVersionService.removeById(modelVersion.getId());
        return AjaxResult.success();
    }


}
