package com.mcwl.web.controller.resource;

import com.mcwl.common.core.controller.BaseController;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.ToActivity;
import com.mcwl.resource.service.ToActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.web.controller.resource
 * @Filename：ToActivityController
 * @Description TODO
 * @Date：2025/1/9 17:59
 */
@RestController
@RequestMapping("ToActivity")
public class ToActivityController extends BaseController {
    @Autowired
    private ToActivityService toActivityService;

    /**
     * 查询活动列表
     */
    @PostMapping("/list")
    public TableDataInfo list(@RequestBody ToActivity toActivity)
    {
        startPage();
        List<ToActivity> list = toActivityService.selectToActivityList(toActivity);
        return getDataTable(list);
    }



    @PostMapping("finById")
    public AjaxResult finById(@RequestBody ToActivity toActivity)
    {
        return AjaxResult.success(toActivityService.getById(toActivity));
    }


    @PostMapping("add")
    public AjaxResult add(@RequestBody ToActivity toActivity)
    {
        return AjaxResult.success(toActivityService.save(toActivity));
    }


    @PostMapping("update")
    public AjaxResult update(@RequestBody ToActivity toActivity)
    {
        return AjaxResult.success(toActivityService.updateById(toActivity));
    }


    @PostMapping("delete")
    public AjaxResult delete(@RequestBody ToActivity toActivity)
    {
        return AjaxResult.success(toActivityService.removeById(toActivity));
    }


    @PostMapping("deleteByIds")
    public AjaxResult deleteByIds(@RequestBody List<ToActivity> toActivity)
    {
        return AjaxResult.success(toActivityService.removeByIds(toActivity));
    }



}
