package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 工作流表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：WorkFlow
 * @Description 工作流表
 * @Version：1.0
 * @Date：2025/1/8 19:38
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("work_flow")
public class WorkFlow {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 名称（最多30字）
     */
    private String workflowName;
    /**
     * 垂类
     */
    private String category;
    /**
     * 主题
     */
    private String theme;
    /**
     * 风格
     */
    private String style;
    /**
     * 功能
     */
    private String functions;
    /**
     * 参与活动
     */
    private String activityParticipation;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String del_flag;

}
