package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**工作流版本表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：WorkFlow
 * @Description TODO
 * @Date：2025/1/8 19:38
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("work_flow_version")
public class WorkFlowVersion {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 版本介绍（富文本）
     */
    private String versionDescription;
    /**
     * 文件地址
     */
    private String filePath;
    /**
     * 图片地址（最多20张,切割）
     */
    private String imagePaths;
    /**
     * 是否隐藏图片生成信息
     */
    private String hideGenInfo;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;
}
