package com.mcwl.resource.domain.dto;

import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ModelImageRes {
    /**
     * 图片地址（最多8张，切割）
     */
    @NotBlank(message = "图片地址不能为空")
    private String imagePaths;
    /**
     * 是否添加水印
     */
    private Integer hasWatermark;
    /**
     * 是否会员下载
     */
    private Integer isMemberDownload;
    /**
     * 是否不可下载
     */
    private Integer isNotDownloadable;
    /**
     * 是否隐藏生成信息
     */
    private Integer hideGenInfo;
    /**
     * 图片标题（最多30字）
     */
    @NotBlank(message = "图片标题不能为空")
    private String title;
    /**
     * 图片标签（多个，切割）
     */
    private String tags;
    /**
     * 描述信息（最多500）
     */
    private String description;

}
