package com.mcwl.resource.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.resource.domain.MallProductLike;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.ModelImageComment;
import com.mcwl.resource.domain.ModelProduct;
import com.mcwl.resource.domain.dto.ModelImageCommentRes;
import com.mcwl.resource.domain.dto.ModelImageRes;
import com.mcwl.resource.domain.vo.MallProductVo;
import com.mcwl.resource.mapper.MallProductLikeMapper;
import com.mcwl.resource.mapper.ModelImageCommentMapper;
import com.mcwl.resource.mapper.ModelImageMapper;
import com.mcwl.resource.service.MallProductLikeService;
import com.mcwl.resource.service.MallProductService;
import com.mcwl.resource.service.ModelImageCommentService;
import com.mcwl.resource.service.ModelImageService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Objects;

@Service
@RequiredArgsConstructor
public class ModelImageServiceImpl extends ServiceImpl<ModelImageMapper, ModelImage> implements ModelImageService {

    private final ModelImageCommentMapper modelImageCommentMapper;

    private final ModelImageMapper modelImageMapper;

    @Override
    public void comment(ModelImageCommentRes modelImageCommentRes) {
        Long parentId = modelImageCommentRes.getParentId();
        ModelImageComment mic = modelImageCommentMapper.selectById(parentId);

        if (Objects.nonNull(parentId) && Objects.isNull(mic)) {
            return;
        }

        ModelImageComment modelImageComment = new ModelImageComment();
        BeanUtil.copyProperties(modelImageCommentRes, modelImageComment);
        modelImageComment.setUserId(SecurityUtils.getUserId());
        modelImageComment.setCreateBy(SecurityUtils.getUsername());
        modelImageComment.setUpdateBy(SecurityUtils.getUsername());
        modelImageComment.setUpdateTime(new Date());
        modelImageCommentMapper.insert(modelImageComment);

    }

    @Override
    public void publish(ModelImageRes modelImageRes) {

        ModelImage modelImage = new ModelImage();
        BeanUtil.copyProperties(modelImageRes, modelImage);
        modelImage.setCreateBy(SecurityUtils.getUsername());
        modelImage.setUpdateBy(SecurityUtils.getUsername());
        modelImage.setUpdateTime(new Date());
        modelImage.setStatus(3);
        modelImageMapper.insert(modelImage);


    }
}
