package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.utils.StringUtils;
import com.mcwl.resource.domain.ModelVersion;
import com.mcwl.resource.mapper.ModelVersionMapper;
import com.mcwl.resource.service.ModelVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service.impl
 * @Filename：ModelVersionServiceImpl
 * @Description TODO
 * @Date：2025/1/9 16:53
 */
@Service
public class ModelVersionServiceImpl  extends ServiceImpl< ModelVersionMapper,ModelVersion> implements ModelVersionService {

    @Autowired
    private ModelVersionService modelVersionService;


    @Autowired
    private ModelVersionMapper modelVersionMapper;


    @Override
    public List<ModelVersion> selectLogininforList(ModelVersion modelVersion) {

        // 创建一个 LambdaQueryWrapper 实例
        LambdaQueryWrapper<ModelVersion> queryWrapper = new LambdaQueryWrapper<>();

        // 使用非空检查来添加查询条件
        if (StringUtils.isNotNull(modelVersion.getIsExclusiveModel())) {
            queryWrapper.eq(ModelVersion::getIsExclusiveModel, modelVersion.getIsExclusiveModel());
        }


        if (StringUtils.isNotNull(modelVersion.getVersionName())) {
            queryWrapper.eq(ModelVersion::getVersionName, modelVersion.getVersionName());
        }

        return modelVersionMapper.selectList(queryWrapper);
    }












}
